package com.gingersoft.gsa.cloud.ui.bean.view;

import com.qmuiteam.qmui.widget.section.QMUISection.Model;

import java.util.Objects;

/**
 * 單個圖片
 */
public class SectionImageItem implements Model<SectionImageItem> {
    private int image;

    public SectionImageItem(int image) {
        this.image = image;
    }

    public int getImage() {
        return image;
    }

    @Override
    public SectionImageItem cloneForDiff() {
        return new SectionImageItem(getImage());
    }

    @Override
    public boolean isSameItem(SectionImageItem other) {
        return Objects.equals(image, other.image);
    }

    @Override
    public boolean isSameContent(SectionImageItem other) {
        return true;
    }
}
